edu.northwestern.at.utils.xml

## Class ExtendedXMLFilterImpl

- java.lang.Object
- - org.xml.sax.helpers.XMLFilterImpl
  - - edu.northwestern.at.utils.xml.ExtendedXMLFilterImpl

- All Implemented Interfaces:
    org.xml.sax.ContentHandler, org.xml.sax.DTDHandler, org.xml.sax.EntityResolver, org.xml.sax.ErrorHandler, org.xml.sax.XMLFilter, org.xml.sax.XMLReader
  Direct Known Subclasses:
    AddWordAttributesFilter, AddXMLPathFilter, ExtendedAdornedWordFilter, IDFixerFilter, PseudoPageAdderFilter, RelemmatizeFilter, StripAllWordElementsFilter, StripWordAttributesFilter, StripWordElementsFilter

      public class ExtendedXMLFilterImpl
      extends org.xml.sax.helpers.XMLFilterImpl

  Extended XMLFilterImpl with some utility methods.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExtendedXMLFilterImpl(org.xml.sax.XMLReader reader)` Create filter.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `removeAttribute(org.xml.sax.helpers.AttributesImpl attributes, java.lang.String name)` Remove attribute.
    `void` | `setAttributeValue(org.xml.sax.helpers.AttributesImpl attributes, java.lang.String name, boolean value)` Set boolean attribute value.
    `void` | `setAttributeValue(org.xml.sax.helpers.AttributesImpl attributes, java.lang.String name, int value)` Set integer attribute value.
    `void` | `setAttributeValue(org.xml.sax.helpers.AttributesImpl attributes, java.lang.String name, java.lang.String value)` Set attribute value.

    - ### Methods inherited from class org.xml.sax.helpers.XMLFilterImpl

      `characters, endDocument, endElement, endPrefixMapping, error, fatalError, getContentHandler, getDTDHandler, getEntityResolver, getErrorHandler, getFeature, getParent, getProperty, ignorableWhitespace, notationDecl, parse, parse, processingInstruction, resolveEntity, setContentHandler, setDocumentLocator, setDTDHandler, setEntityResolver, setErrorHandler, setFeature, setParent, setProperty, skippedEntity, startDocument, startElement, startPrefixMapping, unparsedEntityDecl, warning`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ExtendedXMLFilterImpl

          public ExtendedXMLFilterImpl(org.xml.sax.XMLReader reader)

      Create filter.
      Parameters:
        `reader` - The XML reader to filter.

  - ### Method Detail

    - #### setAttributeValue

          public void setAttributeValue(org.xml.sax.helpers.AttributesImpl attributes,
                               java.lang.String name,
                               java.lang.String value)

      Set attribute value.
      Parameters:
        `attributes` - attributes
        `name` - attribute name
        `value` - attribute value

    - #### setAttributeValue

          public void setAttributeValue(org.xml.sax.helpers.AttributesImpl attributes,
                               java.lang.String name,
                               boolean value)

      Set boolean attribute value.
      Parameters:
        `attributes` - attributes
        `name` - attribute name
        `value` - attribute value

    - #### setAttributeValue

          public void setAttributeValue(org.xml.sax.helpers.AttributesImpl attributes,
                               java.lang.String name,
                               int value)

      Set integer attribute value.
      Parameters:
        `attributes` - attributes
        `name` - attribute name
        `value` - attribute value

    - #### removeAttribute

          public void removeAttribute(org.xml.sax.helpers.AttributesImpl attributes,
                             java.lang.String name)

      Remove attribute.
      Parameters:
        `attributes` - attributes
        `name` - attribute name